org.springframework.ldap.core

## Class LdapAttributes

- java.lang.Object
- - javax.naming.directory.BasicAttributes
  - - org.springframework.ldap.core.LdapAttributes

- All Implemented Interfaces:
    Serializable, Cloneable, Attributes

      public class LdapAttributes
      extends BasicAttributes

  Extends `BasicAttributes` to add specialized support for DNs.

  While DNs appear to be and can be treated as attributes, they have a special meaning in that they define the address to which the object is bound. DNs must conform to special formatting rules and are typically required to be handled separately from other attributes.

  This class makes this distinction between the DN and other attributes prominent and apparent.

  Author:
    Keith Barlow
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LdapName` | `dn` Distinguished name to which the object is bound.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapAttributes()` Default constructor.
    `LdapAttributes(boolean ignoreCase)` Constructor for specifying whether or not the object is case sensitive.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistinguishedName` | `getDN()` Deprecated. `and associated classes and methods are deprecated as of 2.0`. use `getName()` instead.
    `LdapName` | `getName()` Returns the distinguished name to which the object is bound.
    `void` | `setDN(DistinguishedName dn)` Deprecated. `and associated classes and methods are deprecated as of 2.0`. use `setName(javax.naming.Name)` instead.
    `void` | `setName(Name name)`
    `String` | `toString()` Returns a string representation of the object in LDIF format.

    - ### Methods inherited from class javax.naming.directory.BasicAttributes

      `clone, equals, get, getAll, getIDs, hashCode, isCaseIgnored, put, put, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dn

          protected LdapName dn

      Distinguished name to which the object is bound.

  - ### Constructor Detail

    - #### LdapAttributes

          public LdapAttributes()

      Default constructor.

    - #### LdapAttributes

          public LdapAttributes(boolean ignoreCase)

      Constructor for specifying whether or not the object is case sensitive.
      Parameters:
        `ignoreCase` - boolean indicator.

  - ### Method Detail

    - #### getDN

          public DistinguishedName getDN()

      Deprecated. `and associated classes and methods are deprecated as of 2.0`. use `getName()` instead.
      Returns the distinguished name to which the object is bound.
      Returns:
        `DistinguishedName` specifying the name to which the object is bound.

    - #### getName

          public LdapName getName()

      Returns the distinguished name to which the object is bound.
      Returns:
        `LdapName` specifying the name to which the object is bound.

    - #### setDN

          public void setDN(DistinguishedName dn)

      Deprecated. `and associated classes and methods are deprecated as of 2.0`. use `setName(javax.naming.Name)` instead.
      Sets the distinguished name of the object.
      Parameters:
        `dn` - `DistinguishedName` specifying the name to which the object is bound.

    - #### setName

          public void setName(Name name)

    - #### toString

          public String toString()

      Returns a string representation of the object in LDIF format.
      Overrides:
        `toString` in class `BasicAttributes`
      Returns:
        `String` formated to RFC2849 LDIF specifications.